// HEADER

.header {
  @extend .ease;
  height: 150px;
}

.top-bar {
    @extend .ease;
    height: 45px;
    box-sizing: border-box;
    padding: 10px 0px;
}

.social-icons {
  z-index: 10;
  position: relative;
  z-index: 10;
  position: relative;

  li {

    margin-left: -4px;
    line-height: 0px;

    &:not(:last-child) {
      border-right: 1px solid darken($brand-primary, 10%);
    }

    a {

      &:hover {
        opacity: 0.8;
      }
    }
  }

  &-top {

    li {
      font-size: 25px;
      padding-left: 15px;
      padding-right: 15px;

      a { @extend .ease; }
    }
  }

  &-footer {


    li {

      &:not(:last-child) {
        border-right: 1px solid $white;
      }
    }
  }
}

.logo {
  @extend .ease;
  width: 303px;
  margin-top: -25px;
  position: relative;

  &-footer {
    background: url('../../assets/images/logo-footer.png') 0 0 no-repeat;
    width: 397px;
    height: 111px;
    background-size: contain;

    @include media-breakpoint-down(sm) {
      width: 240px;
      height: 68px;
    }
  }
}

@include media-breakpoint-down(sm) {
  .top-bar {
    height: 33px;
    padding: 5px 0px;
  }
  .logo {
    width: 173px;
  }
  .social-icons-top li {
    font-size: 20px;
  }
  .header {
    height: 65px;
  }
  .scrolled .header {
    height: 65px !important;
  }
  .nav-primary {
  margin-top: 20px !important;
  }
}

.scrolled {

  .top-bar {
    height: 33px;
    padding: 5px 0px;
  }
  .logo {
    width: 173px;
  }
  .social-icons-top li {
    font-size: 20px;
  }
  .header {
    height: 85px;
  }
  .nav-primary {
  margin-top: 10px;
  }
}

.menu-menu-container, .menu-footer-container, .menu-main-container {
  width: 100%;

  .nav {
    @include media-breakpoint-down(sm) {
      display: block;
    }
  }
}

.menu, .menu-footer {

  li {
    // @extend .list-inline-item;
    // @extend .nav-item;

    a {
      @extend .nav-link;
      padding: 8px 10px;
      color: $white;
      font-weight: 400;
      line-height: 1;
    }
  }
}

.nav-primary {
  @extend .ease;
  margin-top: 20px;
  z-index: 10;
  position: relative;

  @include media-breakpoint-down(sm) {
    border-radius: 20px;
  }
}

.menu {

  li {
    @extend .ease;
    border-radius: 25px;
    position: relative;

    @include media-breakpoint-down(sm) {
      display: block;
      margin-bottom: 5px;
    }

    &:not(:last-child) {
      margin-right: 5px;

      @include media-breakpoint-down(sm) {
        margin-right: 0;
      }

      &:after {
        content: "";
        width: 1px;
        height: 20px;
        background: #3fb4cb;
        position: absolute;
        right: 0;
        top: 5px;

        @include media-breakpoint-down(sm) {
          display: none;
        }
      }
    }

    &:hover:not(.rf-item), &:focus:not(.rf-item), &.current-menu-item:not(.rf-item), &.current-menu-ancestor:not(.rf-item) {
      position: relative;

      &:before {
        font-family: FontAwesome;
        content: "\f111";
        position: absolute;
        color: $brand-danger;
        font-size: 10px;
        top: 10px;
        right: 10px;
      }
    }
    &.active {
      background-color: $brand-danger;
      &:hover {
        background-color: darken($brand-danger, 5%);
        &:before {
          display: none;
        }
      }
    }

    &:hover, &:focus {
      & .sub-menu {
        display: block !important;
      }
    }
  }
}

.navbar-toggler {
  padding: 0 0;
  z-index: 1;
  position: relative;
  color: #fff;
  margin-top: 2px;

  &:hover, &:focus {
    opacity: 0.8;
  }
}

.sub-menu {
  position: absolute;
  list-style: none;
  top: calc(100% + 5px);
  padding: 5px 0 0 0;
  width: 100%;
  margin: -5px 0 0 0;
  border-radius: 0 0;
  overflow: hidden;
  display: none;

  @include media-breakpoint-down(md) {
      margin: -5px 0 0 0px;
      width: 100%;
      z-index: 1;
  }

  li {
    border: none;
    margin: 0 0 !important;
    background: #e3e3e2;
    border-radius: 50px 0px 0px 50px;

    @include media-breakpoint-down(sm) {
      border-radius: 50px 50px;
    }

    &:after {
      display: none !important;
    }

    &:hover, &:focus {
      background: #cfcfcf;

      &:before {
        top: 15px;

        @include media-breakpoint-down(sm) {
          top: 8px;
        }
      }
    }

    a {
      color: $brand-primary;
      white-space: nowrap;
      font-size: 14px;
      border: none;
      padding: 3px;
      padding: 15px 3px;

      @include media-breakpoint-down(sm) {
        padding: 8px 10px;
      }

      &:hover {
        color: $brand-primary;
      }
    }
  }
}
